Woopsi 1.0 GUI Framework for Nintendo DS Homebrew

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# WoopsiUI::GadgetEventArgs Class Reference

`#include <gadgeteventargs.h>`

Inheritance diagram for WoopsiUI::GadgetEventArgs:

List of all members.

## Public Member Functions
| GadgetEventArgs (Gadget *source, const s16 x, const s16 y, const s16 vX, const s16 vY, const KeyCode keyCode)
const s16 | getX () const
const s16 | getY () const
const s16 | getVX () const
const s16 | getVY () const
const KeyCode | getKeyCode () const

## Detailed Description

Event arguments passed to listeners when a Gadget object raises an event.

## Constructor & Destructor Documentation

WoopsiUI::GadgetEventArgs::GadgetEventArgs | ( | Gadget * | source,
|  | const s16 | x,
|  | const s16 | y,
|  | const s16 | vX,
|  | const s16 | vY,
|  | const KeyCode | keyCode
| ) |  | `[inline]`

Constructor.

Parameters:

  source | Pointer to the Gadget object that raised the event.
  x | The x co-ord of the event.
  y | The y co-ord of the event.
  vX | The x distance of the event.
  vY | The y distance of the event.
  keyCode | The keycode of the event.

## Member Function Documentation

const KeyCode WoopsiUI::GadgetEventArgs::getKeyCode | ( |  | ) | const`[inline]`

Get the keycode of the event.

Returns:
  The keycode of the event.

const s16 WoopsiUI::GadgetEventArgs::getVX | ( |  | ) | const`[inline]`

Get the x-axis stylus move distance of the event.

Returns:
  The x-axis stylus move distance of the event.

const s16 WoopsiUI::GadgetEventArgs::getVY | ( |  | ) | const`[inline]`

Get the y-axis stylus move distance of the event.

Returns:
  The y-axis stylus move distance of the event.

const s16 WoopsiUI::GadgetEventArgs::getX | ( |  | ) | const`[inline]`

Get the x co-ord of the event.

Returns:
  The x co-ord of the event.

const s16 WoopsiUI::GadgetEventArgs::getY | ( |  | ) | const`[inline]`

Get the y co-ord of the event.

Returns:
  The y co-ord of the event.

The documentation for this class was generated from the following file:

- gadgeteventargs.h